Huaying Technology Logo
BackC-Series IP Phones

C Series IP PhonesProduct Brochure

C60U-W (Wi-Fi Calling)

Entry-level for SMEs

Product Details

C60U-W (Wi-Fi Calling) Product Image

Product Overview

Dingxin Tongda C60U-W/C60UP-W: A cost-effective, multi-function HD Wi-Fi phone compatible with various IP voice systems. Delivers superior HD audio quality and supports a rich set of call features to meet the needs of SMBs, call centers, and IP communications industry users.

132x64 backlit LCD display, supports 2.4GHz&5GHz Wi-Fi, 100 Mbps Ethernet, 2 SIP accounts, and five-way conferencing. Works with IPPBX to enable various call services.

Other models in the same series

Key Features

  • 132x64 Black-and-White LCD Display (2.3 inches)
  • SIP v1 (RFC2543), v2 (RFC3261)
  • 1x RJ9 Controller/Headset Jack

Technical Features

  • Short Message, Voicemail, Message Waiting Indicator (MWI)
  • 132x64 Black-and-White LCD Display (2.3 inches)
  • SIP v1 (RFC2543), v2 (RFC3261)
  • STUN, session refresh (RFC4028)
  • Hold, Mute, Do Not Disturb
  • Upgrade software via web
  • 1x RJ9 Controller/Headset Jack
  • Configurable Ring Mode
  • Configure Backup/Restore
  • Busy Transfer / Consultation Transfer
  • 2 SIP accounts
  • IP Address Call
  • Redial, Callback
  • Wall-mountable

Technical Specifications (1Item

DTMF Mode
In-Band, RFC2833, and SIP INFO

Content is compiled from publicly available technical documentation. Specifications and configurations are subject to final factory settings and selection lists. Prices are not included; please inquire for pricing.

Beijing ICP License No. 2026026760